Subject: [rtcweb] I-D Action: draft-ietf-rtcweb-rtp-usage-21.txt

From: [email-masked]
Date: Wed, 26 Nov 2014 08:32:15 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Real-Time Communication in WEB-browsers Working Group of the IETF.

        Title           : Web Real-Time Communication (WebRTC): Media Transport and Use of RTP
        Authors         : Colin Perkins
                          Magnus Westerlund
                          Joerg Ott
	Filename        : draft-ietf-rtcweb-rtp-usage-21.txt
	Pages           : 45
	Date            : 2014-11-26

Abstract:
   The Web Real-Time Communication (WebRTC) framework provides support
   for direct interactive rich communication using audio, video, text,
   collaboration, games, etc.  between two peers' web-browsers.  This
   memo describes the media transport aspects of the WebRTC framework.
   It specifies how the Real-time Transport Protocol (RTP) is used in
   the WebRTC context, and gives requirements for which RTP features,
   profiles, and extensions need to be supported.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-rtcweb-rtp-usage/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-rtcweb-rtp-usage-21

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-rtcweb-rtp-usage-21

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Colin Perkins <[email-masked]>
Date: Wed, 26 Nov 2014 16:47:32 +0000

The changes in this version are as follows:

- In Section 4.3, clarify reference to draft-ietf-rtcweb-audio and add reference draft-ietf-rtcweb-video for mandatory to implement codec and payload formats. Clarify that other codecs and payload formats MAY be implemented, and that all payload formats MUST be signalled before use.

- In Section 5.2.5, note that the CVO header extension MUST be implemented as described in Section 4 of draft-ietf-rtcweb-video.

- In Section 4.1, note that the RTCP SDES MID item MUST be implemented if the SDP bundle extension is used. In Section 5.2.4, note that the RTP MID header extension MUST be implemented if the SDP bundle extension is used.

- In Sections 5.2.1, 5.2.2, and 5.2.3, clarify that the header extension needs to be negotiated before it can be used.

- In Section 5.2.2, clarify that the RFC 6464 client-to-mixer audio level header extension MUST be implemented, based on discussion in IETF91.

- Update Section 6.2 on FEC to refer to draft-uberti-rtcweb-fec.

Colin

On 26 Nov 2014, at 16:32, [email-masked] wrote:
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb

-- 
Colin Perkins
https://csperkins.org/